"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMergedClasses = exports.mergeClasses = void 0;
const objectKeys_1 = require("./tools/objectKeys");
const cssAndCx_1 = require("./cssAndCx");
const react_1 = require("react");
function mergeClasses(classes, classesOv, cx) {
    if (classesOv === undefined) {
        return classes;
    }
    const out = {};
    (0, objectKeys_1.objectKeys)(classes).forEach(ruleName => (out[ruleName] = cx(classes[ruleName], classesOv[ruleName])));
    return out;
}
exports.mergeClasses = mergeClasses;
function useMergedClasses(classes, classesOv) {
    const { cx } = (0, cssAndCx_1.useCssAndCx)();
    return (0, react_1.useMemo)(() => mergeClasses(classes, classesOv, cx), [classes, classesOv, cx]);
}
exports.useMergedClasses = useMergedClasses;
